Page MenuHomePhabricator

[SVE] Deprecate default false variant of VectorType::get
ClosedPublic

Authored by ctetreau on May 20 2020, 4:26 PM.

Diff Detail

Event Timeline

ctetreau created this revision.May 20 2020, 4:26 PM
fpetrogalli accepted this revision.May 21 2020, 9:28 AM
This revision is now accepted and ready to land.May 21 2020, 9:28 AM
ctetreau planned changes to this revision.May 29 2020, 11:39 AM

Per recent discussions about the pace of this effort, I'll be adding a deprecated overload rather than just deleting the parameter.

ctetreau updated this revision to Diff 269330.Jun 8 2020, 12:59 PM

As requested, deprecate it rather than immediately remove it

This revision is now accepted and ready to land.Jun 8 2020, 12:59 PM
ctetreau retitled this revision from [SVE] Remove default false from VectorType::get(Type *, unsigned, bool) to [SVE] Deprecate default false variant of VectorType::get.Jun 8 2020, 1:02 PM
ctetreau removed parent revisions: D81201: [SVE] Eliminate calls to default-false VectorType::get() from llvm-stress, D80341: [SVE] Eliminate calls to default-false VectorType::get() from polly, D80340: [SVE] Eliminate calls to default-false VectorType::get() from mlir, D80339: [SVE] Eliminate calls to default-false VectorType::get() from Vectorize, D80337: [SVE] Eliminate calls to default-false VectorType::get() from Utils, D80325: [SVE] Eliminate calls to default-false VectorType::get() from FuzzMutate, D80324: [SVE] Eliminate calls to default-false VectorType::get() from Analysis, D80336: [SVE] Eliminate calls to default-false VectorType::get() from Scalar, D80335: [SVE] Eliminate calls to default-false VectorType::get() from Instrumentation, D80334: [SVE] Eliminate calls to default-false VectorType::get() from InstCombine, D80327: [SVE] Eliminate calls to default-false VectorType::get() from AArch64, D80332: [SVE] Eliminate calls to default-false VectorType::get() from AggressiveInstCombine, D80331: [SVE] Eliminate calls to default-false VectorType::get() from X86, D80326: [SVE] Eliminate calls to default-false VectorType::get() from Linker, D80329: [SVE] Eliminate calls to default-false VectorType::get() from SystemZ, D80328: [SVE] Eliminate calls to default-false VectorType::get() from AMDGPU, D80323: [SVE] Eliminate calls to default-false VectorType::get() from Clang, D80313: [SVE] Eliminate calls to default-false VectorType::get() from CodeGen, D80261: [SVE] Eliminate calls to default-false VectorType::get() from IR.Jun 9 2020, 2:13 PM
ctetreau updated this revision to Diff 271217.Jun 16 2020, 2:54 PM

catch stragglers

Herald added a project: Restricted Project. · View Herald TranscriptJun 16 2020, 2:54 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
This revision was automatically updated to reflect the committed changes.